> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Submission Details

> Returns comprehensive submission data including coverages, vehicles, drivers, trailers, and insured info.



## OpenAPI

````yaml get /submission/{displayId}/{transactionId}/details
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}/details:
    get:
      tags:
        - Submission Data
      summary: Get Submission Details
      description: >-
        Returns comprehensive submission data including coverages, vehicles,
        drivers, trailers, and insured info.
      operationId: getSubmissionDetails
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Submission details
          content:
            application/json:
              schema:
                properties:
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                  status:
                    type: string
                  status_code:
                    type: integer
                  insured:
                    type: object
                  dates:
                    type: object
                  coverages:
                    type: object
                  units:
                    type: object
                  vehicles:
                    type: array
                    items:
                      type: object
                  trailers:
                    type: array
                    items:
                      type: object
                  drivers:
                    type: array
                    items:
                      type: object
                      properties:
                        isOwner:
                          type: boolean
                          example: true
                type: object
        '401':
          description: Unauthorized
        '404':
          description: Submission not found
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````